## goldedplus 1.1.4.7+1.1.5.20031012

=== Makefile ===
# -*- makefile -*-

include GNUmakef.def

.PHONY: all clean distclean dirs sourcelists deps

LIBS=gall gcfg gmb3 glibc uulib smblib msgidlib
EXECUTABLES=golded3 goldnode rddt

all: sourcelists
	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) all; cd ../..; done'
	@$(SHELL) -ec 'for i in $(EXECUTABLES); do cd $$i; $(MAKE) all; cd ..; done'

clean:
	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) clean; cd ../..; done'
	@$(SHELL) -ec 'for i in $(EXECUTABLES); do cd $$i; $(MAKE) clean; cd ..; done'
	@-rm -f $(OBJPATH)/$(PLATFORM)/source.lst

dirs:
	@mkdir -p $(BIN) $(LIBPATH)/$(PLATFORM)
	@mkdir -p $(foreach dir,$(LIBS),$(OBJPATH)/$(PLATFORM)/$(dir))
	@mkdir -p $(foreach dir,$(EXECUTABLES),$(OBJPATH)/$(PLATFORM)/$(dir))

sourcelists: dirs
	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) sourcelist; cd ../..; done'
	@$(SHELL) -ec 'for i in $(EXECUTABLES); do cd $$i; $(MAKE) sourcelist; cd ..; done'
	@echo -n >$(OBJPATH)/$(PLATFORM)/source.lst

=== glibc/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=glibc
INCS=-I$(TOP)/goldlib/glibc -I$(TOP)/goldlib/gall
CFLAGS=-DHAVE_CONFIG_H

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

=== msgidlib/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=msgidlib
#INCS=-I$(TOP)/goldlib/gall

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

ifeq ($(PLATFORM),lnx)
CFLAGS+=-DUNIX
endif

ifeq ($(PLATFORM),be)
CFLAGS+=-DUNIX=__BEOS__
endif

=== port/Makefile ===
# New ports collection makefile for: GoldED+
# Date created:        4 June 2003
# Whom:                alexander smishlajev
#
# $FreeBSD$
#

PORTNAME=	golded
PORTVERSION=	1.1.4.7.$(PORTSNAPSHOT)
CATEGORIES=	news
MASTER_SITES=	http://mik.nu/golded-plus/development/
DISTNAME=	gps$(PORTSNAPSHOT)

MAINTAINER=	alex@tycobka.lv
COMMENT=	Full-featured mail/news reader for Fidonet and Internet

PORTSNAPSHOT=	30512
USE_BZIP2=	yes

MAN1=		golded.1 goldnode.1 rddt.1
MANCOMPRESSED=	no
USE_GMAKE=	yes
NO_WRKSUBDIR=	yes
USE_REINPLACE=	yes

DOCS=		copying copying.lib license.txt notework.txt rusfaq.txt tips.txt
DOCDIR=		$(PREFIX)/share/golded

do-configure:
	@${SED} \
	  -e 's,^\(#define __GVER_VENDOR_NAME__\).*,\1 "Alexander S. Aganichev",' \
	  -e 's,\(#define __GVER_VENDOR_FIDO__\).*,\1 "2:5020/201.58",' \
	  -e 's,\(#define __GVER_VENDOR_EMAIL__\).*,\1 "asa@users.sf.net",' \
	  -e 's,\(#define __GVER_RELEASENAME__\).*,\1 "FreeBSD port",' \
	 <${WRKSRC}/golded3/mygolded.__h >${WRKSRC}/golded3/mygolded.h
.if defined(USE_KOI8)
	@${REINPLACE_CMD} -e 's,#-DKOI8,-DKOI8,' ${WRKSRC}/GNUmakef.def
.endif

# snapshot distribution uses CRLF line endings but gcc requires LF
# remove CR characters from all sources
# XXX is it possible to match \r?  how?
pre-build:
	@${FIND} ${WRKSRC} -name '*.cpp' -or -name '*.c' -or -name '*.h' \
	  -or -name '*.1' -or -name '*.txt' \
	  -or -name '*.cfg' -or -name '*.tpl' \
	  -or -name '*.chs' -or -name '*.esc' \
	 | ${XARGS} ${REINPLACE_CMD} -e 's,[[:cntrl:]]$$,,'
	@${FIND} ${WRKSRC} -name '*.bak' -delete

do-install:
	${INSTALL_PROGRAM} ${WRKSRC}/bin/gedlnx ${PREFIX}/bin/golded
	${INSTALL_PROGRAM} ${WRKSRC}/bin/gnlnx ${PREFIX}/bin/goldnode
	${INSTALL_PROGRAM} ${WRKSRC}/bin/rddtlnx ${PREFIX}/bin/rddt
	for dir in charset colorset config template; do \
	 ${MKDIR} ${DOCDIR}/$$dir; \
	 for file in `${LS} ${WRKSRC}/cfgs/$$dir|${GREP} -v CVS`; do\
	  ${INSTALL_DATA} ${WRKSRC}/cfgs/$$dir/$$file ${DOCDIR}/$$dir; \
	 done; \
	done
	for f in $(MAN1); do \
	 ${INSTALL_MAN} ${WRKSRC}/docs/$$f ${MAN1PREFIX}/man/man1; \
	done
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCDIR}
	for f in $(DOCS); do \
	 ${INSTALL_MAN} ${WRKSRC}/docs/$$f ${DOCDIR}; \
	done
.endif

.include <bsd.port.mk>

=== smblib/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=smblib
INCS=-I$(TOP)/goldlib/smblib -I$(TOP)/goldlib/gall
CFLAGS=-x c++

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

## goldedplus 1.1.4.7+1.1.5.20051016

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include GNUmakef.def
 
-.PHONY: all clean distclean dirs sourcelists deps
+.PHONY: all clean distclean dirs sourcelists deps docs
 
 LIBS=gall gcfg gmb3 glibc uulib smblib msgidlib
 EXECUTABLES=golded3 goldnode rddt
@@ -10,6 +10,8 @@
 all: sourcelists
 	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) all; cd ../..; done'
 	@$(SHELL) -ec 'for i in $(EXECUTABLES); do cd $$i; $(MAKE) all; cd ..; done'
+	@echo 'To build HTML man pages run "make docs".'
+	@echo 'To reduce binaries size (remove debug information) run "make strip".'
 
 clean:
 	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) clean; cd ../..; done'
@@ -25,3 +27,9 @@
 	@$(SHELL) -ec 'for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i; $(MAKE) sourcelist; cd ../..; done'
 	@$(SHELL) -ec 'for i in $(EXECUTABLES); do cd $$i; $(MAKE) sourcelist; cd ..; done'
 	@echo -n >$(OBJPATH)/$(PLATFORM)/source.lst
+
+docs:
+	@cd $@ ; $(MAKE) all ; cd ..
+
+strip:
+	cd $(BIN)/ ; strip *

=== docs/Makefile ===
# $Id: Makefile,v 1.7 2005/10/02 11:58:59 stas_degteff Exp $
# -*- makefile to build some Golded+ documentation -*-
# (c) Stas Degteff 2:5080/102@FIDONET, stas_degteff@users.sourceforge.net

HTMLS= golded.html goldnode.html rddt.html
TXTS=  golded.txt goldnode.txt rddt.txt


all: html-doc txt-doc tokentpl.txt tokencfg.txt

html: html-doc
html-doc: $(HTMLS)

txt: txt-doc
txt-doc:  $(TXTS)


%.html: %.1
	groff -Thtml -mman $< >$@

%.txt: %.1
	groff -Tascii  -mman $< | sed s/\\[[0-9][0-9]*m//g >$@

clean:
	-rm $(HTMLS) $(TXTS)

tokentpl.txt: ../golded3/gemsgs.cpp
	echo '* Golded+ macroses list.' > $@
	echo '* These macroses may be used in:' >> $@
	echo '* template file, externutil command line, tearline and tagline.' >> $@
	echo '==========================================================================' >> $@
	grep tokenxchg $< | sed -e '/^static bool tokenxchg/d' -e 's/^.*"\(@\w*\)".*$$/\1/' | sort -u >> $@

tokencfg.txt: ../golded3/gccfgg.h
	@echo '* Golded+ config file tokens list.' > $@
	@echo '==========================================================================' >> $@
	grep CRC_ $< | sed -e '/CRC_LAST_CRC/d' -e 's/^.* CRC_\(\w*\).*$$/\1/' | sort -u >> $@

=== golded3/Makefile ===
# -*- makefile -*-

ifeq ($(TERM),cygwin)
MINGW=true
else
ifeq ($(OSTYPE),msys)
MINGW=true
endif
endif

TOP=..
SHORTTARGET=ged
TARGET=golded3
GLIBS=gmb3 gall gcfg uulib smblib msgidlib
INCS=-I. -I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3 -I$(TOP)/goldlib/uulib -I$(TOP)/goldlib/smblib -I$(TOP)/goldlib/msgidlib

ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-los2me -lstdcpp
GLIBS+=glibc
else
ifdef MINGW
STDLIBS=-luser32 -lwinmm
GLIBS+=glibc
endif
endif

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg

=== goldnode/Makefile ===
# -*- makefile -*-

ifeq ($(TERM),cygwin)
MINGW=true
else
ifeq ($(OSTYPE),msys)
MINGW=true
endif
endif

TOP=..
SHORTTARGET=gn
TARGET=goldnode
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/golded3/
ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-lstdcpp
else
ifdef MINGW
STDLIBS=-luser32
endif
endif
GLIBS=gall
CLEANS=
ADDS+=$(TOP)/$(OBJPATH)/$(PLATFORM)/golded3/golded3$(OBJEXT)

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg

=== rddt/Makefile ===
# -*- makefile -*-

ifeq ($(TERM),cygwin)
MINGW=true
else
ifeq ($(OSTYPE),msys)
MINGW=true
endif
endif

TOP=..
SHORTTARGET=rddt
TARGET=rddt
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/golded3
ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-lstdcpp
else
ifdef MINGW
STDLIBS=-luser32
endif
endif
GLIBS=gall
CLEANS=
ADDS+=$(TOP)/$(OBJPATH)/$(PLATFORM)/golded3/golded3$(OBJEXT)

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg

=== goldlib/gall/Makefile ===
# -*- makefile -*-

ifeq ($(TERM),cygwin)
MINGW=true
else
ifeq ($(OSTYPE),msys)
MINGW=true
endif
endif

TOP=../..
TARGET=gall
INCS=-I$(TOP)/goldlib/gall
ifdef MINGW
INCS+=-I$(TOP)/goldlib/glibc
else
ifeq ($(findstring EMX, $(PATH)), EMX)
INCS+=-I$(TOP)/goldlib/glibc
endif
endif

include $(TOP)/GNUmakef.inc

ifeq ($(PLATFORM),emx)
ifeq ($(AR),emxomfar)
AR += -p32
endif
endif

include $(TOP)/GNUmakef.lib

=== goldlib/gmb3/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=gmb3
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3 -I$(TOP)/goldlib/smblib

include $(TOP)/GNUmakef.inc
ifeq ($(PLATFORM),emx)
ifeq ($(AR),emxomfar)
AR += -p32
endif
endif
include $(TOP)/GNUmakef.lib

=== goldlib/uulib/Makefile ===
# -*- makefile -*-

VERSION=0.5
PATCH=15

TOP=../..
TARGET=uulib
INCS=-I$(TOP)/goldlib/uulib
CFLAGS=-DHAVE_CONFIG_H -DVERSION=\"$(VERSION)\" -DPATCH=\"$(PATCH)\"

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

## goldedplus 1.1.4.7-1.1

=== Makefile ===
# -*- makefile -*-

include GNUmakef.def

LIBS=gall gcfg gmb3 glibc uulib
EXECUTABLES=golded3 goldnode rddt

all:
	@$(MAKE) dirs
	@echo -n >$(DEPPATH)/$(PLATFORM)/dep
	@for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i && $(MAKE) && cd ../..; done
	@for i in $(EXECUTABLES); do cd $$i && $(MAKE) && cd ..; done

clean:
	@rm -f $(DEPPATH)/$(PLATFORM)/dep
	@for i in $(foreach dir,$(LIBS),goldlib/$(dir)); do cd $$i && $(MAKE) clean && cd ../..; done
	@for i in $(EXECUTABLES); do cd $$i && $(MAKE) clean && cd ..; done

dirs:
	@mkdir -p $(BIN) $(LIBPATH)/$(PLATFORM)
	@mkdir -p $(foreach dir,$(LIBS),$(OBJPATH)/$(PLATFORM)/$(dir))
	@mkdir -p $(foreach dir,$(EXECUTABLES),$(OBJPATH)/$(PLATFORM)/$(dir))
	@mkdir -p $(foreach dir,$(LIBS),$(DEPPATH)/$(PLATFORM)/$(dir))
	@mkdir -p $(foreach dir,$(EXECUTABLES),$(DEPPATH)/$(PLATFORM)/$(dir))

=== golded3/Makefile ===
# -*- makefile -*-

TOP=..
SHORTTARGET=ged
TARGET=golded3
GLIBS=gmb3 gall gcfg uulib
INCS=-I. -I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3 -I$(TOP)/goldlib/uulib

ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-los2me -lstdcpp
GLIBS+=glibc
else
ifeq ($(TERM),cygwin)
STDLIBS=-luser32 -lwinmm
GLIBS+=glibc
endif
endif

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg

=== rddt/Makefile ===
# -*- makefile -*-

TOP=..
SHORTTARGET=rddt
TARGET=rddt
INCS=-I$(TOP)/goldlib/gall
ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-lstdcpp
endif
ifeq ($(TERM),cygwin)
STDLIBS=-luser32
endif
GLIBS=gall
CLEANS=

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg

=== goldlib/gall/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=gall
INCS=-I$(TOP)/goldlib/gall
ifeq ($(findstring EMX, $(PATH)), EMX)
INCS+=-I$(TOP)/goldlib/glibc
else
ifeq ($(TERM),cygwin)
INCS+=-I$(TOP)/goldlib/glibc
endif
endif

include $(TOP)/GNUmakef.inc

ifeq ($(PLATFORM),emx)
ifeq ($(AR),emxomfar)
AR += -p32
endif
endif

include $(TOP)/GNUmakef.lib

=== goldlib/gcfg/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=gcfg
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

=== goldlib/glibc/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=glibc
INCS=-I$(TOP)/goldlib/glibc
CFLAGS=-DHAVE_CONFIG_H

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib

=== goldlib/gmb3/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=gmb3
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3

include $(TOP)/GNUmakef.inc
ifeq ($(PLATFORM),emx)
ifeq ($(AR),emxomfar)
AR += -p32
endif
endif
include $(TOP)/GNUmakef.lib

=== goldlib/uulib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # -*- makefile -*-
 
 VERSION=0.5
-PATCH=15
+PATCH=13
 
 TOP=../..
 TARGET=uulib

=== debian/changelog ===
goldedplus (1.1.4.7-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Changed so that it compiles under hppa with GCC 3.0 (DABS party).

 -- Jacobo Tarrio <jtarrio@trasno.net>  Sun, 15 Jul 2001 21:26:55 +0200

goldedplus (1.1.4.7-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - @CC kludges created at top of messages.
   - Corrected problems with daylight savings time.
   - Recognises tilde even better (~user/file) in paths.
   - Recognises environmental variables (%TEMP%/file) in paths.
   - Various bugfixes.
  * Noted change of official homepage to SourceForge.
  * Merged Debianization patches with upstream sources on SourceForge.
  * Moved manual pages to the distribution archive.

 -- peter karlsson <peterk@debian.org>  Wed, 06 Dec 2000 07:50:00 +0200

goldedplus (1.1.4.6-1) unstable; urgency=low

  * New upstream release (see upstream ChangeLog for further details):
   - Recognises tilde (~) in paths.
   - Does not uppercase names in file requests.
   - Can import output from commands by entering filenames beginning with a
     pipe symbol (|).
   - Generates proper RFC headers for latin-xx codepages.
   - Various bugfixes.
  * Change Suggests line to suggest either crashmail (a Fidonet tosser) or
    Uqwk (a SOUP generator).
  * Added Build-Depends.
  * Add manual pages based on the software documentation.

 -- peter karlsson <peterk@debian.org>  Wed, 20 Sep 2000 21:04:45 +0200

goldedplus (1.1.4.4-1) unstable; urgency=low

  * Initial Release.

 -- peter karlsson <peterk@debian.org>  Tue, 27 Jun 2000 17:35:00 +0200

=== debian/control ===
Source: goldedplus
Section: mail
Priority: optional
Maintainer: peter karlsson <peterk@debian.org>
Standards-Version: 3.0.1
Build-Depends: debhelper, libncurses5-dev

Package: goldedplus
Architecture: any
Depends: ${shlibs:Depends}
Suggests: crashmail | uqwk
Description: Offline mail reader for Fidonet and Usenet
 GoldED+ is an offline mail reader for Fidonet message bases in
 AdeptXBBS, EzyCOM, Fido (*.MSG), Goldbase, Hudson, JAM, PCBoard,
 Synchronet, Squish and WildCat. It is also able to import QWK
 (BBS offline mail format) and SOUP (Usenet offline mail format)
 packages into said message bases, and re-export packages for
 upload.
 .
 GoldED+ is a successor of the well-known GoldED mail editor.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	sed -f debian/patch-mygolded_h.sed golded3/mygolded.__h > golded3/mygolded.h
	cat Makefile debian/patch-Makefile > Makefile.Debian
	$(MAKE) -f Makefile.Debian

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f golded3/mygolded.h Makefile.Debian
	rm -rf obj lib bin dep

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -f Makefile.Debian install DESTDIR=`pwd`/debian/tmp
	install -p -m644 cfgs/charset/*.{chs,esc} debian/tmp/usr/share/golded/charset
	install -p -m644 cfgs/colorset/*.cfg debian/tmp/usr/share/golded/colorset
	install -p -m644 cfgs/config/{*.cfg,goldlang.*} debian/tmp/usr/share/golded/config
	install -p -m644 cfgs/template/{*.tpl,*.cfm} debian/tmp/usr/share/golded/template
	install -m644 debian/golded.xpm debian/tmp/usr/X11R6/include/X11/pixmaps

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -k docs/notework.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
